## apel 10.2+20000308cvs

=== Makefile ===
#
# Makefile for APEL.
#

VERSION = 10.2

TAR	= tar
RM	= /bin/rm -f
CP	= /bin/cp -p

EMACS	= emacs
XEMACS	= xemacs
FLAGS   = -batch -q -no-site-file -l APEL-MK

PREFIX = NONE
LISPDIR = NONE
PACKAGEDIR = NONE
VERSION_SPECIFIC_LISPDIR = NONE

GOMI	= *.elc

ARCHIVE_DIR_PREFIX = /pub/mule

what-where:
	$(EMACS) $(FLAGS) -f what-where-apel \
		$(PREFIX) $(LISPDIR) $(VERSION_SPECIFIC_LISPDIR)

elc:
	$(EMACS) $(FLAGS) -f compile-apel \
		$(PREFIX) $(LISPDIR) $(VERSION_SPECIFIC_LISPDIR)

install:	elc
	$(EMACS) $(FLAGS) -f install-apel \
		$(PREFIX) $(LISPDIR) $(VERSION_SPECIFIC_LISPDIR) # $(MAKE)

package:
	$(XEMACS) $(FLAGS) -f compile-apel-package \
		$(PACKAGEDIR)

install-package:	package
	$(XEMACS) $(FLAGS) -f install-apel-package \
		$(PACKAGEDIR) # $(MAKE)


clean:
	-$(RM) $(GOMI)


tar:
	cvs commit
	sh -c 'cvs tag -RF apel-`echo $(VERSION) \
				| sed s/\\\\./_/ | sed s/\\\\./_/`; \
	cd /tmp; \
	cvs -d :pserver:morioka@cvs.m17n.org:/cvs/root \
		export -d apel-$(VERSION) \
		-r apel-`echo $(VERSION) | tr . _` apel'
	cd /tmp; $(RM) apel-$(VERSION)/ftp.in ; \
		$(TAR) cvzf apel-$(VERSION).tar.gz apel-$(VERSION)
	cd /tmp; $(RM) -r apel-$(VERSION)
	sed "s/VERSION/$(VERSION)/" < ftp.in > ftp

release:
	-$(RM) $(ARCHIVE_DIR_PREFIX)/apel/apel-$(VERSION).tar.gz
	mv /tmp/apel-$(VERSION).tar.gz $(ARCHIVE_DIR_PREFIX)/apel
	cd $(ARCHIVE_DIR_PREFIX)/semi/ ; ln -s ../apel/apel-$(VERSION).tar.gz .

## apel 10.3+cvs.2001.12.05

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Makefile for APEL.
 #
 
-VERSION = 10.2
+VERSION = 10.3
 
 TAR	= tar
 RM	= /bin/rm -f
@@ -48,13 +48,13 @@
 
 tar:
 	cvs commit
-	sh -c 'cvs tag -RF apel-`echo $(VERSION) \
+	sh -c 'cvs tag -R apel-`echo $(VERSION) \
 				| sed s/\\\\./_/ | sed s/\\\\./_/`; \
 	cd /tmp; \
-	cvs -d :pserver:morioka@cvs.m17n.org:/cvs/root \
+	cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/root \
 		export -d apel-$(VERSION) \
 		-r apel-`echo $(VERSION) | tr . _` apel'
-	cd /tmp; $(RM) apel-$(VERSION)/ftp.in ; \
+	cd /tmp; $(RM) apel-$(VERSION)/ftp.in apel-$(VERSION)/.cvsignore ; \
 		$(TAR) cvzf apel-$(VERSION).tar.gz apel-$(VERSION)
 	cd /tmp; $(RM) -r apel-$(VERSION)
 	sed "s/VERSION/$(VERSION)/" < ftp.in > ftp

## apel 10.6+0.20040418

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Makefile for APEL.
 #
 
-VERSION = 10.3
+VERSION = 10.5
 
 TAR	= tar
 RM	= /bin/rm -f
@@ -20,6 +20,8 @@
 GOMI	= *.elc
 
 ARCHIVE_DIR_PREFIX = /pub/mule
+
+default: elc
 
 what-where:
 	$(EMACS) $(FLAGS) -f what-where-apel \

## apel 10.7

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Makefile for APEL.
 #
 
-VERSION = 10.5
+VERSION = 10.7
 
 TAR	= tar
 RM	= /bin/rm -f
@@ -19,7 +19,7 @@
 
 GOMI	= *.elc
 
-ARCHIVE_DIR_PREFIX = /pub/mule
+ARCHIVE_DIR_PREFIX = /home/kanji/tomo/public_html/lemi/dist
 
 default: elc

## apel 10.8

=== debian/changelog ===
apel (10.8-2) unstable; urgency=low

  * debian/copyright: Switch to the DEP-5 format.
  * debian/control: Update Standards-Version to 3.9.2.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 28 May 2011 23:11:52 +0900

apel (10.8-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/debian-bug-557922-20100213.patch: Removed.
    (merged upstream)
  * debian/patches/10_prevent-fontset-error.patch: Renamed from
    debian-20100214.patch.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 15 Jun 2010 22:07:31 +0900

apel (10.7+0.20080906-2) unstable; urgency=low

  * debian/patches/debian-bug-557922-20100213.patch: Fix that inv-19.el
    overrides built-in invisible-p.  Patch from
    http://bugs.debian.org/557922#15 by David Maus. (closes: #557922)
  * debian/patches/debian-20100214.patch: Prevent an error of
    fontset-pixel-size for Emacs 23. (closes: #477177)
  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/control: Remove the install-info dependency.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 14 Feb 2010 18:45:35 +0900

apel (10.7+0.20080906-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2008-09-06)
  * debian/rules, debian/control: Remove the quilt dependency.
  * debian/patches: Removed.
  * debian/control:
    - Add `dpkg (>= 1.15.4) | install-info' to Depends.
    - Add `${misc:Depends}' to Depends.
    - Set Section to lisp.
    - Update Standards-Version to 3.8.4.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 10 Feb 2010 22:49:13 +0900

apel (10.7-3) unstable; urgency=low

  * debian/patches/cvs20080906.patch: Patch from the upstream CVS trunk on
    2008-09-06 for poe.el to fix a format-time-string bug by MORIOKA Tomohiko
    (cf. http://www.rubyist.net/~matz/20080905.html by Yukihiro Matsumoto).
  * debian/rules, debian/control: Handle debian/patches with quilt.
  * debian/emacsen-*: Rewritten.
  * debian/rules, debian/dirs: Install obsolete files in the attic directory.
  * debian/rules: Use dh_prep instead of `dh_clean -k'.
  * debian/compat, debian/control: Update debhelper version to 7.
  * debian/control:
    - Remove `make' and `debianutils' from Depends.
    - Move `Homepage:' from Description to the header.
    - Remove `timezone.el' from Description.
    - Update Standards-Version to 3.8.1.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 10 Apr 2009 00:06:04 +0900

apel (10.7-2) unstable; urgency=low

  * debian/control: Prefer emacs to emacs21.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jul 2007 21:10:45 +0900

apel (10.7-1) unstable; urgency=low

  * New upstream release.
  * debian/emacsen-install.in: Recompile reverse depends packages that use
    APEL's macro.
  * debian/rules (binary-indep): Don't fails if the obsolete file doesn't
    exist in the upstream source.
  * debian/control (Description):
    - Remove `time-stamp.el'.
    - Add `Homepage:'.
  * debian/watch: Set Action to uupdate.
  * debian/copyright:
    - Change URL of the upstream site.
    - Reformat copyright years.
    - Mention Debian packaging conditions.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Apr 2007 19:45:14 +0900

apel (10.6+0.20060424-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2006-04-24)
  * debian/control (Build-Depends): Depend on debhelper version 5.
  * debian/compat: 3 -> 5.
  * debian/control (Standards-Version): 3.6.1 -> 3.7.2.
  * debian/copyright: Update the postal address of the Free Software
    Foundation.
  * debian/control (Maintainer): tats@vega.ocn.ne.jp -> tats@debian.org.
  * debian/copyright: Ditto.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun,  4 Jun 2006 21:03:11 +0900

apel (10.6+0.20050606-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2005-06-06)
    - poem.el: More precisely binding for `char-or-char-int-p'.
      (closes: #307260)
  * debian/emacsen-install.in: Ready for emacsen flavors sxemacs*.
  * debian/watch: New file.
  * debian/control: Revise short description.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Mon,  6 Jun 2005 20:40:15 +0900

apel (10.6+0.20040418-1) unstable; urgency=low

  * New upstream release. (CVS snapshot on 2004-04-18 at 20:46 +0900)
    - filename.el: Doc fix.
  * debian/emacsen-install.in: Create *.el symlinks.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sun, 23 May 2004 00:48:54 +0900

apel (10.6+0.20040306-1) unstable; urgency=low

  * New upstream release. (CVS snapshot on 2004-03-06 at 20:11 +0900)

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sun, 18 Apr 2004 00:38:15 +0900

apel (10.6+0.20040219-1) unstable; urgency=low

  * New upstream release. (CVS snapshot on 2004-02-19 at 23:44 +0900)
    - calist.el (use-calist-package): Add missing arg to `format'.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sun, 22 Feb 2004 22:16:34 +0900

apel (10.6+0.20040126-1) unstable; urgency=low

  * New upstream release. (CVS snapshot on 2004-01-26 at 22:59 +0900)
    - poe-xemacs.el (run-at-time): Don't use `defadvice' in order to
      avoid a conflict with the Gnus version.
  * debian/copyright: Revised.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Wed, 28 Jan 2004 00:26:55 +0900

apel (10.6+0.20031213-1) unstable; urgency=low

  * New upstream release. (CVS snapshot on 2003-12-13 at 06:40 +0900)
    - poe-xemacs.el: Fix run-at-time problem for XEmacs.
  * debian/copyright: Further clarification.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sun, 21 Dec 2003 00:14:19 +0900

apel (10.6+0.20030907-1) unstable; urgency=low

  * New upstream release. (CVS snapshot on 2003-09-07)
    - poem-xm.el (char-length): Don't use `defun-maybe' to define it
      since this module may be installed as the XEmacs package which
      should be usable by all the XEmacs 21.x series.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Fri, 14 Nov 2003 00:25:21 +0900

apel (10.6-3) unstable; urgency=low



=== debian/control ===
Source: apel
Section: lisp
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2
Homepage: http://kanji.zinbun.kyoto-u.ac.jp/~tomo/elisp/APEL/

Package: apel
Architecture: all
Depends: emacs | emacsen, ${misc:Depends}
Description: portable library for emacsen
 APEL stands for "A Portable Emacs Library".  It consists of following
 modules:
 .
  poe.el          emulation module mainly for basic functions and special
                  forms/macros of latest emacsen
  poem.el         basic functions to write portable MULE programs
  pces.el         portable character encoding scheme (coding-system) features
  invisible.el    features about invisible region
  mcharset.el     MIME charset related features
  static.el       utility for static evaluation
  broken.el       information of broken facilities of Emacs
  pccl.el         utility to write portable CCL program
  alist.el        utility for Association-list
  calist.el       utility for condition tree and condition/situation-alist
  path-util.el    utility for path management or file detection
  filename.el     utility to make file-name
  install.el      utility to install emacs-lisp package
  mule-caesar.el  ROT 13-47-48 Caesar rotation utility
  emu.el          emu bundled in tm-7.106 compatibility
  pcustom.el      portable custom environment
  product.el      functions for product version information

=== debian/watch ===
version=3
http://kanji.zinbun.kyoto-u.ac.jp/~tomo/lemi/dist/apel/apel-([0-9]+\..+)\.tar\.gz debian uupdate

## apel 10.8%2B0.20120427

=== debian/changelog ===
apel (10.8+0.20120427-6) unstable; urgency=medium

  * Update 010_ikazuhiro.patch, sync on 2014-01-11
  * Update debian/copyright
  * Make a compat file for emacsen-common 2.0.0
  * Handle an installed file to follow emacsen-common 2.0.7
  * Add emacsen-common (<< 2.0.0) to Conflicts

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 20 Jan 2014 00:26:41 +0900

apel (10.8+0.20120427-5) unstable; urgency=low

  * Update 010_ikazuhiro.patch, sync on 2013-08-07
  * Remove 040_make-temp-file-for-Emacs-24.3.50.patch (fixed in ikazuhiro)
  * Workaround for emacsen-common <2 and debhelper <9.20131104
  * Update Standards-Version to 3.9.5

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Dec 2013 22:32:41 +0900

apel (10.8+0.20120427-4) unstable; urgency=low

  * Update 010_ikazuhiro.patch, sync on 2013-07-06
  * Remove 040_Upstream-not-in-ikazuhiro.patch (merged ikazuhiro)
  * New patch 040_make-temp-file-for-Emacs-24.3.50.patch (closes: #718765)

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 05 Aug 2013 23:55:36 +0900

apel (10.8+0.20120427-3) unstable; urgency=low

  * Update 010_ikazuhiro.patch, sync on 2013-07-05

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 05 Jul 2013 23:20:45 +0900

apel (10.8+0.20120427-2) unstable; urgency=low

  * New patch 010_ikazuhiro.patch, sync with
    https://github.com/ikazuhiro/apel/commits/master on 2013-07-04
  * Move 020_Prevent-fontset-error.patch from 0001-*
  * Update 020_Prevent-fontset-error.patch to generate ChangeLog
  * Move 030_Use-new-style-backquotes.patch from 0002-*
  * New patch 040_Upstream-not-in-ikazuhiro.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 05 Jul 2013 20:06:31 +0900

apel (10.8+0.20120427-1) unstable; urgency=low

  * Imported Upstream version 10.8+0.20120427
  * New patch 0002-Use-new-style-backquotes.patch from apel-wl
  * 0001-Prevent-fontset-error.patch: Renamed from 10_*
  * Add Vcs-Git and Vcs-Browser
  * Switch Homepage to chise.org
  * Update debian/watch
  * Update debian/copyright
  * debian/rules: New targets build-arch and build-indep
  * Update Standards-Version to 3.9.4

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 11 May 2013 19:25:28 +0900

## apel 10.8%2B0.20220720

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,18 @@
 Section: lisp
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.2
-Homepage: http://kanji.zinbun.kyoto-u.ac.jp/~tomo/elisp/APEL/
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/debian/apel
+Vcs-Git: https://salsa.debian.org/debian/apel.git
+Homepage: https://github.com/wanderlust/apel
+Rules-Requires-Root: no
 
 Package: apel
 Architecture: all
-Depends: emacs | emacsen, ${misc:Depends}
+Depends: emacsen-common, ${misc:Depends}
+Recommends: emacs-nox | emacs
+Breaks: wl (<< 2.15.9+0.20190205-5~), wl-beta (<< 2.15.9+0.20200822-1~), mu-cite (<< 8.1+0.20201103-1~), semi (<< 1.14.7~0.20201104-1~), flim (<< 1:1.14.9+0.20201029-1~), w3m-el (<< 1.4.632+0.20181112-6~), w3m-el-snapshot (<< 1.4.632+0.20190712-1~)
 Description: portable library for emacsen
  APEL stands for "A Portable Emacs Library".  It consists of following
  modules:
@@ -31,3 +36,6 @@
   emu.el          emu bundled in tm-7.106 compatibility
   pcustom.el      portable custom environment
   product.el      functions for product version information
+ .
+ This package provides APEL-LB, a variant of APEL using lexical binding
+ mainly maintained for Wanderlust mail/news reader.

## apel 10.8+0.20120427

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Makefile for APEL.
 #
 
-VERSION = 10.7
+VERSION = 10.8
 
 TAR	= tar
 RM	= /bin/rm -f

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,15 @@
 Section: lisp
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/debian/apel
-Vcs-Git: https://salsa.debian.org/debian/apel.git
-Homepage: https://github.com/wanderlust/apel
-Rules-Requires-Root: no
+Build-Depends: debhelper (>= 7)
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/collab-maint/apel.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/apel.git
+Homepage: http://git.chise.org/elisp/apel/
 
 Package: apel
 Architecture: all
-Depends: emacsen-common, ${misc:Depends}
-Recommends: emacs-nox | emacs
-Breaks: wl (<< 2.15.9+0.20190205-5~), wl-beta (<< 2.15.9+0.20200822-1~), mu-cite (<< 8.1+0.20201103-1~), semi (<< 1.14.7~0.20201104-1~), flim (<< 1:1.14.9+0.20201029-1~), w3m-el (<< 1.4.632+0.20181112-6~), w3m-el-snapshot (<< 1.4.632+0.20190712-1~)
+Depends: emacs | emacsen, ${misc:Depends}
 Description: portable library for emacsen
  APEL stands for "A Portable Emacs Library".  It consists of following
  modules:
@@ -36,6 +33,3 @@
   emu.el          emu bundled in tm-7.106 compatibility
   pcustom.el      portable custom environment
   product.el      functions for product version information
- .
- This package provides APEL-LB, a variant of APEL using lexical binding
- mainly maintained for Wanderlust mail/news reader.

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=apel
ELDIR=$(CURDIR)/debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch $@

build-arch:

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f *build*-stamp
	dh_clean

install: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp Makefile EMU-* APEL-* *.el $(ELDIR)/

# Install obsolete files in the attic directory.
	for f in env.el timezone.el time-stamp.el; do \
	  if [ -f $(ELDIR)/$$f ]; then mv $(ELDIR)/$$f $(ELDIR)/attic/; fi; \
	done

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installemacsen --priority=20
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary

## apel 10.8+0.20201106

=== debian/changelog ===
apel (10.8+0.20201106-1) unstable; urgency=medium

  * Switch Homepage to github.com/wanderlust/apel
  * Add the get-orig-source target
  * New upstream version 10.8+0.20201024
  * Drop 030_make-coding-system.patch
  * Drop 010_apel-wl.patch
  * Drop xemacs21, emacs23 and older versions
  * Add debian/upstream/metadata
  * Update debian/watch to use mode=git
  * Update description to mention APEL-LB
  * Update debian/copyright
  * Don't install obsolete ChangeLog
  * Update 020_Prevent-fontset-error.patch
  * No longer recompile ddskk and tdiary-mode
  * Install README*
  * Add Breaks to prevent failure with xemacs21
  * Drop 020_Prevent-fontset-error.patch
  * New upstream version 10.8+0.20201106

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 07 Nov 2020 14:41:05 +0900

apel (10.8+0.20120427-22) unstable; urgency=medium

  * New patch 030_make-coding-system.patch for Emacs 28
  * Add Rules-Requires-Root: no
  * Update debhelper-compat to 13
  * Update debian/copyright
  * Update Standards-Version to 4.5.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 23 Aug 2020 17:05:06 +0900

apel (10.8+0.20120427-21) unstable; urgency=medium

  * Update debhelper-compat to 12

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 16 Jul 2019 22:05:26 +0900

apel (10.8+0.20120427-20) unstable; urgency=medium

  * Update 010_apel-wl.patch to 2019-04-07
  * Skip old flavors emacs19, mule2 and xemacs19
  * Don't install tinycustom.el in the site-lisp directory
  * Update debian/copyright
  * Update Standards-Version to 4.4.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 13 Jul 2019 20:56:12 +0900

apel (10.8+0.20120427-19) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Tatsuya Kinoshita ]
  * Don't remove *.el files when handling reverse dependency (closes: #911612)
  * Use debhelper-compat 11
  * Update Standards-Version to 4.2.1

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 17 Dec 2018 20:22:47 +0900

apel (10.8+0.20120427-18) unstable; urgency=medium

  * Fix handling for xemacs21-mule/nomule
  * Check stamp file so that source file isn't newer
  * Handle symlinks for emacsen-startup
  * Update Standards-Version to 4.2.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 19 Aug 2018 22:47:53 +0900

apel (10.8+0.20120427-17) unstable; urgency=medium

  * Accept unversioned emacs flavor for emacsen-common 3.0.0
  * Drop workaround for emacsen-common 1.x
  * Update debhelper compat version to 11
  * Migrate from anonscm.debian.org to salsa.debian.org
  * Update debian/copyright
  * Update Standards-Version to 4.1.4

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Jun 2018 17:24:57 +0900

apel (10.8+0.20120427-16) unstable; urgency=medium

  * Prefer emacs-nox over emacs
  * Update debhelper compat version to 9
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 06 Jan 2017 00:04:38 +0900

apel (10.8+0.20120427-15) unstable; urgency=medium

  * Update 010_apel-wl.patch to 2016-04-27
  * Update debian/copyright
  * Update Vcs-Browser to https
  * Update Standards-Version to 3.9.8

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 04 Jun 2016 20:13:02 +0900

apel (10.8+0.20120427-14) unstable; urgency=medium

  * Update 010_apel-wl.patch to 2014-10-28
  * Update debian/copyright
  * Update Vcs-Browser
  * Update Standards-Version to 3.9.6

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 28 Apr 2015 19:17:57 +0900

apel (10.8+0.20120427-13) unstable; urgency=medium

  * New patch 010_apel-wl.patch to sync wanderlust's apel-wl branch
    (Merge 010_ikazuhiro.patch and 030_Use-new-style-backquotes.patch)
  * Adjust 020_Prevent-fontset-error.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 16 Sep 2014 21:20:32 +0900

apel (10.8+0.20120427-12) unstable; urgency=medium

  * Sync 010_ikazuhiro.patch on 2014-06-05

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 16 Jun 2014 20:04:12 +0900

apel (10.8+0.20120427-11) unstable; urgency=medium

  * Sync 010_ikazuhiro.patch on 2014-06-04
  * Depend on emacsen-common 2.0.8

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 04 Jun 2014 22:00:03 +0900

apel (10.8+0.20120427-10) unstable; urgency=medium

  * Sync 010_ikazuhiro.patch on 2014-05-27

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 29 May 2014 22:25:00 +0900

apel (10.8+0.20120427-9) unstable; urgency=medium

  * Do not install obsolete attic/*.el files

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 21 May 2014 19:43:06 +0900

apel (10.8+0.20120427-8) unstable; urgency=medium

  * Sync 010_ikazuhiro.patch on 2014-03-15

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 22 Apr 2014 23:18:53 +0900

apel (10.8+0.20120427-7) unstable; urgency=medium

  * Update 010_ikazuhiro.patch, sync on 2014-02-22
  * Install a compat file with emacsen-compat

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 01 Mar 2014 20:41:28 +0900

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Section: lisp
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/collab-maint/apel.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/apel.git
-Homepage: http://git.chise.org/elisp/apel/
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian/apel
+Vcs-Git: https://salsa.debian.org/debian/apel.git
+Homepage: https://github.com/wanderlust/apel
+Rules-Requires-Root: no
 
 Package: apel
 Architecture: all
-Depends: emacs | emacsen, ${misc:Depends}
+Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, ${misc:Depends}
+Breaks: wl (<< 2.15.9+0.20190205-5~), wl-beta (<< 2.15.9+0.20200822-1~), mu-cite (<< 8.1+0.20201103-1~), semi (<< 1.14.7~0.20201104-1~), flim (<< 1:1.14.9+0.20201029-1~), w3m-el (<< 1.4.632+0.20181112-6~), w3m-el-snapshot (<< 1.4.632+0.20190712-1~)
 Description: portable library for emacsen
  APEL stands for "A Portable Emacs Library".  It consists of following
  modules:
@@ -33,3 +35,6 @@
   emu.el          emu bundled in tm-7.106 compatibility
   pcustom.el      portable custom environment
   product.el      functions for product version information
+ .
+ This package provides APEL-LB, a variant of APEL using lexical binding
+ mainly maintained for Wanderlust mail/news reader.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,11 @@
 #export DH_VERBOSE=1
 
 PACKAGE=apel
-ELDIR=$(CURDIR)/debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)
+ELDIR=$(CURDIR)/debian/$(PACKAGE)/usr/share/$(PACKAGE)
+
+get-orig-source:
+	wget -O upstream.tar.gz https://github.com/wanderlust/apel/tarball/apel-wl
+	mv -f upstream.tar.gz `LC_ALL=C tar ztvf upstream.tar.gz --utc | perl -ne 'if (/ (\d\d\d\d)-(\d\d)-(\d\d) /) {print "apel_10.8+0.$$1$$2$$3.orig.tar.gz\n"; exit}'`
 
 build-indep: build-indep-stamp
 build-indep-stamp:
@@ -29,9 +33,9 @@
 
 	cp Makefile EMU-* APEL-* *.el $(ELDIR)/
 
-# Install obsolete files in the attic directory.
+# Do not install obsolete files
 	for f in env.el timezone.el time-stamp.el; do \
-	  if [ -f $(ELDIR)/$$f ]; then mv $(ELDIR)/$$f $(ELDIR)/attic/; fi; \
+	  if [ -f $(ELDIR)/$$f ]; then rm -f $(ELDIR)/$$f; fi; \
 	done
 
 binary-indep: install
@@ -39,7 +43,7 @@
 	dh_testroot
 	dh_installemacsen --priority=20
 	dh_installdocs
-	dh_installchangelogs ChangeLog
+	dh_installchangelogs
 	dh_strip
 	dh_compress
 	dh_fixperms

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=10.8+0.%cd, date=%Y%m%d" \
https://github.com/wanderlust/apel HEAD debian uupdate

## apel 10.8+0.20220720

=== Makefile ===
--- 
+++ 
@@ -43,23 +43,8 @@
 	$(XEMACS) $(FLAGS) -f install-apel-package \
 		$(PACKAGEDIR) # $(MAKE)
 
-
 clean:
 	-$(RM) $(GOMI)
-
-
-tar:
-	cvs commit
-	sh -c 'cvs tag -R apel-`echo $(VERSION) \
-				| sed s/\\\\./_/ | sed s/\\\\./_/`; \
-	cd /tmp; \
-	cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/root \
-		export -d apel-$(VERSION) \
-		-r apel-`echo $(VERSION) | tr . _` apel'
-	cd /tmp; $(RM) apel-$(VERSION)/ftp.in apel-$(VERSION)/.cvsignore ; \
-		$(TAR) cvzf apel-$(VERSION).tar.gz apel-$(VERSION)
-	cd /tmp; $(RM) -r apel-$(VERSION)
-	sed "s/VERSION/$(VERSION)/" < ftp.in > ftp
 
 release:
 	-$(RM) $(ARCHIVE_DIR_PREFIX)/apel/apel-$(VERSION).tar.gz

=== debian/changelog ===
apel (10.8+0.20220720-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 09 Dec 2025 20:58:32 +0000

apel (10.8+0.20220720-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Tatsuya Kinoshita ]
  * New upstream version 10.8+0.20220720
  * Prevent native compilation when byte-compiling
  * Enable byte-compile-warnings when byte-compiling
  * Leave a compilation log
  * Remove empty maintainer scripts
  * Relax dependencies on emacs flavors
  * Avoid egrep in maintainer scripts
  * Update Standards-Version to 4.6.2
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jan 2023 17:32:30 +0900
